.ajax-loader {
    background-color:rgba(0,0,0,0.3);
    display: none;
    left: 0px;
    height: 100%;
    position: fixed;
    top: 0px;
    width: 100%;
    z-index: 10001;
}
.spinner {
    animation: rotate 2s linear infinite;
    position: absolute;
    top: 50%;
    left: 50%;
    height: 50px;
    margin: -25px 0 0 -25px;
    width: 50px;
    z-index: 2;
}
.spinner .path {
    animation: dash 1.5s ease-in-out infinite;
    stroke: rgba(255, 255, 255, 0.8);
    stroke-linecap: round;
}
@keyframes rotate {
    100% {transform: rotate(360deg);}
}
@keyframes dash {
    0% { stroke-dasharray: 1, 150; stroke-dashoffset: 0; }
    50% { stroke-dasharray: 90, 150; stroke-dashoffset: -35; }
    100% { stroke-dasharray: 90, 150; stroke-dashoffset: -124; }
}